package net.northking.cctp.se.script.bean;

import lombok.Data;

import java.io.Serializable;

/**
 * 脚本变量对象
 * @author xuyang.wang
 */
@Data
public class Variable implements Serializable {
    /**
     * 变量名称
     */
    private String name;
    /**
     * 变量描述
     */
    private String desc;
    /**
     * 变量默认值
     */
    private String defaultValue;
    /**
     * 变量类型
     */
    private String type;
    /**
     * 变量实际值
     */
    private String value;
    /**
     * 是否为输入项
     */
    private boolean input;
    /**
     * 是否为输出项
     */
    private boolean output;
    /**
     * 引用变量步骤ID
     */
    private String[] quoted;
}
