/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.api.team.service;

import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.project.dto.team.MtProjectTeamDetailDto;
import net.northking.cctp.project.dto.team.MtProjectTeamQueryDto;

import java.util.List;

/**
 * 系统人员表Restful逻辑接口
 *
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface MtProjectTeamApiService   {

    /**
     * 查询系统人员表列表
     *
     * @param queryByPage 查询条件
     * @return 查询结果列表
     */
    List<MtProjectTeamDetailDto> pagingQuery(QueryByPage<MtProjectTeamQueryDto> queryByPage);
}
