/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.impl;

import net.northking.cctp.testbug.db.dao.OverallViewIndex2Dao;
import net.northking.cctp.testbug.db.service.OverallViewIndex2Service;
import net.northking.cctp.testbug.db.entity.OverallViewIndex2;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 跨项目级视图索引信息表2
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:16:57  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "OverallViewIndex2ServiceImpl")
public class OverallViewIndex2ServiceImpl extends PaginationService<OverallViewIndex2> implements OverallViewIndex2Service
{
private static final Logger logger = LoggerFactory.getLogger(OverallViewIndex2ServiceImpl.class);

  private final OverallViewIndex2Dao overallViewIndex2Dao;

  public OverallViewIndex2ServiceImpl(OverallViewIndex2Dao overallViewIndex2Dao) {this.overallViewIndex2Dao = overallViewIndex2Dao;}

  public BasicDao<OverallViewIndex2> getDao() {return overallViewIndex2Dao;}

  public OverallViewIndex2 createEntity() { return new OverallViewIndex2();}

  @Override
  protected void beforeInsert(OverallViewIndex2 overallViewIndex2) {

  }

  @Override
  protected void beforeUpdate(OverallViewIndex2 overallViewIndex2) {

  }

  @Override
  public List<OverallViewIndex2> queryByCreateTimeAsc(OverallViewIndex2 o) {
    return overallViewIndex2Dao.queryByCreateTimeAsc(o);
  }







}

