/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.testbug.db.entity.BugRecord;
import net.northking.cctp.testbug.dto.BugRecordDetailDto;

import java.util.List;

/**
 * 缺陷变更记录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-10-08 15:56:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugRecordService extends BasicService<BugRecord>
{
    List<BugRecordDetailDto> queryByBugIds(List<String> bugIds);

    void pubAdd(BugRecord bugRecordAddDto);


// ----      The End by Generator     ----//

}
