package net.northking.cctp.element.core.keyword;

import java.util.Collection;
import java.util.Map;

/**
 * Keyword factory
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public interface IKeywordFactory {

    /**
     * Extract and create keywords by registered beans
     *
     * @param keywordBeanValues
     * @return
     */
    Map<String, Keyword> createKeywords(Collection<Object> keywordBeanValues);

}
