package net.northking.cctp.element.core.reflect;

import net.northking.cctp.element.core.IExecuteContext;

import java.util.Map;

/**
 * Assemble keyword arguments
 * 
 * @author fengxiang.zhang
 * @since 1.0
 */
public interface IArgumentGrouper {

	/**
	 * Assemble keyword arguments
	 * 
	 * @param args
	 * @return
	 * @throws Exception
	 */
	Object[] groupArguments(Map<String, Object> args, IExecuteContext context) throws Exception;
}
