/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.DwAtuCaseDesignDao;
import net.northking.cctp.dw.db.service.DwAtuCaseDesignService;
import net.northking.cctp.dw.db.entity.DwAtuCaseDesign;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.atu.DwAtuCaseDesignDetailDto;
import net.northking.cctp.dw.dto.atu.DwAtuCaseDesignQueryDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 自动化用例设计同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-11-25 11:15:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "DwAtuCaseDesignServiceImpl")
public class DwAtuCaseDesignServiceImpl extends PaginationService<DwAtuCaseDesign> implements DwAtuCaseDesignService
{
private static final Logger logger = LoggerFactory.getLogger(DwAtuCaseDesignServiceImpl.class);

  private final DwAtuCaseDesignDao dwAtuCaseDesignDao;

  public DwAtuCaseDesignServiceImpl(DwAtuCaseDesignDao dwAtuCaseDesignDao) {this.dwAtuCaseDesignDao = dwAtuCaseDesignDao;}

  public BasicDao<DwAtuCaseDesign> getDao() {return dwAtuCaseDesignDao;}

  public DwAtuCaseDesign createEntity() { return new DwAtuCaseDesign();}

  @Override
  protected void beforeInsert(DwAtuCaseDesign dwAtuCaseDesign) {

  }

  @Override
  protected void beforeUpdate(DwAtuCaseDesign dwAtuCaseDesign) {

  }

  @Override
  public List<DwAtuCaseDesignDetailDto> countByGroup(DwAtuCaseDesignQueryDto query) {
    return dwAtuCaseDesignDao.countByGroup(query);
  }


// ----      The End by Generator     ----//




}

