DROP TABLE IF EXISTS `progress_chart_prepare`;
CREATE TABLE `progress_chart_prepare` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' ,
	`project_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '项目id' ,
	`case_total` INT(11) NOT NULL DEFAULT '0' COMMENT '用例总数',
	`exec_sum` INT(11) NOT NULL DEFAULT '0' COMMENT '执行数：通过+失败',
	`exec_total` INT(11) NOT NULL DEFAULT '0' COMMENT '执行总数：总数(包含未执行)-无效',
	`test_point_total` INT(11) NOT NULL DEFAULT '0' COMMENT '测试点总数',
	`created_time` DATE NULL DEFAULT NULL COMMENT '创建时间',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `project_id` (`project_id`) USING BTREE
)
COMMENT='进度图数据准备'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
AUTO_INCREMENT=1
;
--CREATE TABLE `progress_chart_prepare` (
--	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
--	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '项目id' COLLATE 'utf8_general_ci',
--	`case_total` INT(11) NOT NULL DEFAULT '0' COMMENT '用例总数',
--	`exec_sum` INT(11) NOT NULL DEFAULT '0' COMMENT '执行数：通过+失败',
--	`exec_total` INT(11) NOT NULL DEFAULT '0' COMMENT '执行总数：总数(包含未执行)-无效',
--	`test_point_total` INT(11) NOT NULL DEFAULT '0' COMMENT '测试点总数',
--	`created_time` DATE NULL DEFAULT NULL COMMENT '创建时间',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `project_id` (`project_id`) USING BTREE
--)
--COMMENT='进度图数据准备'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--AUTO_INCREMENT=5409876
--;
