/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.api.comlibrary.service;

import net.northking.cctp.platform.dto.comlibrary.CpComponentParamterDetailDto;

import java.util.List;

/**
 * 组件参数Restful逻辑接口
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface CpComponentParamterApiService
{

  /**
   * 获取组件参数
   * @param comId 主键
   * @return 接口数据传输对象
   */
  List<CpComponentParamterDetailDto> getParameters(String comId);

}
