drop table if exists clt_org_manager;

CREATE TABLE `clt_org_manager` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `org_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '机构主键',
  `user_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人id',
  `manager_name` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人姓名',
  `manager_phone` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人电话',
  `manager_email` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人邮箱',
  `idx` int(11) DEFAULT NULL COMMENT '序号',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='机构负责人信息';