drop table if exists cp_template;

CREATE TABLE `cp_template` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '模板id',
  `template_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板名称',
  `template_type` int(2) DEFAULT NULL COMMENT '模板类型（0-缺陷 1-用例）',
  `is_system` tinyint(1) DEFAULT NULL COMMENT '是否默认模板',
  `is_deleted` tinyint(1) DEFAULT NULL COMMENT '逻辑删除(0,未删除、1,已删除)',
  `created_by` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='模板表';

