/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2024 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.dao;

import net.northking.cctp.executePlan.db.entity.AtuPlanTaskRecord;
import net.northking.cctp.executePlan.db.mapper.AtuPlanTaskRecordMapper;
import net.northking.cctp.executePlan.dto.planTask.PlanTaskRecordDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：任务执行记录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2024-10-16 17:02:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface AtuPlanTaskRecordDao extends AtuPlanTaskRecordMapper
{
    List<PlanTaskRecordDto> queryTotalTake(@Param("taskIds") List<String> taskIds);

    List<AtuPlanTaskRecord> queryReTryTaskByTaskIds(@Param("taskIds") List<String> taskIds);

}
