package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@JsonSerialize
@ApiModel(description = "景用例获取场景脚本节点信息")
public class SceneNodeInfoDto  implements Serializable {
    @ApiModelProperty("场景节点执行脚本Id")
    public String scriptId;
    @ApiModelProperty("场景节点执行脚本名称")
    public String scriptName;
    @ApiModelProperty("场景节点执行脚本文件服务器Url")
    public String scriptUrl;
    @ApiModelProperty("场景节点类型(start,end,ios,andrio,pcbs,pccs,interface)")
    public String nodeType;
    @ApiModelProperty("应用ID")
    public String appId;
    @ApiModelProperty("应用ID平台类型(0-android,1-IOS)")
    public String platform;
    @ApiModelProperty("应用包名")
    public String appPackage;
}
