/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.project.db.entity.CpProjectEnvSys;

/**
 * Mybatis数据库持久层（底层）：系统环境被测系统信息
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-10-06 16:08:56  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface CpProjectEnvSysMapper extends BasicDao<CpProjectEnvSys>
{
  String EntityName = "CpProjectEnvSys";

  String COLUMN_id = "id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_envId = "env_id";
  String COLUMN_sysUrl = "sys_url";
  String COLUMN_sysName = "sys_name";
  String COLUMN_memo = "memo";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_deleted = "is_deleted";

}
