package net.northking.cctp.testbug.bus.publisher;


import net.northking.cctp.testbug.dto.BugStatisticsChartAddDto;
import net.northking.cctp.testbug.dto.bus.BugGradeStatisticsAddDto;
import net.northking.cctp.testbug.dto.bus.BugTendencyChartTmpAddDto;

import java.util.List;


public interface NoticePublisher {
    /**
     * 发送bug_grade_statistics对象到数据仓库
     * @param bugGradeStatisticsAddDtoList
     */
    void syncBugGradeNotice(List<BugGradeStatisticsAddDto> bugGradeStatisticsAddDtoList );
    /**
     * 发送bug_tendency_chart_tmp对象到数据仓库
     * @param bugTendencyChartTmpAddDtoList
     */
    void syncBugTendencyNotice(List<BugTendencyChartTmpAddDto> bugTendencyChartTmpAddDtoList );
    /**
     * 发送bug_status_statistics对象到数据仓库
     * @param bugStatisticsChartAddDtoList
     */
    void syncBugStatusNotice(List<BugStatisticsChartAddDto> bugStatisticsChartAddDtoList );
}
