/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.db;

import java.util.List;

/**
 * 条件查询数据库访问借口
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface PagingQueryDao
{
  /**
   * 页面分页查询
   * @param record 查询条件
   * @param <E> 结果类型
   * @return 结果集
   */
  <E> List<E> pagingQuery(Object record);
}
