/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.mapper.CaseDesignCompleteDetailsMapper;
import net.northking.cctp.dw.dto.DwCaseDesignInfoDto;
import org.springframework.stereotype.Repository;

/**
 * Mybatis数据库持久层（业务层）：用例设计完成详情（按人员或模块）,包括周、日
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 09:37:20  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface CaseDesignCompleteDetailsDao extends CaseDesignCompleteDetailsMapper {

    /**
     * 处理用例进度数据
     *
     * @param dwCaseDesignInfoDto
     * @return
     */
    Integer caseDesignComplete(DwCaseDesignInfoDto dwCaseDesignInfoDto);

    Integer deleteCompleteByProjectIds(DwCaseDesignInfoDto dwCaseDesignInfoDto);
}
