/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.CpProjectDetail;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.mapper.CpProjectDetailMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：系统详情
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-31 10:53:10  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CpProjectDetailDao extends CpProjectDetailMapper
{
    List<String> findTenantIds();

    List<CpProjectDetail> findByProjectIds(@Param("midProjectInfos") List<MidProjectInfo> dataList);
    // ----      The End by Generator     ----//

}
