/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwTestPoint;
import net.northking.cctp.dw.db.mapper.DwTestPointMapper;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtTestPointStatisticsDetailDto;
import net.northking.cctp.dw.dto.MtTestPointSynDto;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：dw库测试点列表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-01-27 16:05:09  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface DwTestPointDao extends DwTestPointMapper
{
    void insertByBatchIgnore(List<MtTestPointSynDto> inList);
    List<MtTestPointStatisticsDetailDto> findTestPointStatistics(ChartDataGeneQueryDto chartDataGeneQueryDto);

    List<DwTestPoint> findProIdList();
    // ----      The End by Generator     ----//

}
