/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.DwTestPoint;
import net.northking.cctp.dw.db.entity.PointCompleteDetails;

import java.util.Date;

/**
 * 测试点完成详情（按人员或模块）,包括周、日
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-14 15:12:07  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface PointCompleteDetailsService extends BasicService<PointCompleteDetails> {

    Integer testPointComplete(Date lastSat, DwTestPoint dwTestPoint);

    Integer deleteAllCompleteByProjectIds(PointCompleteDetails pointCompleteDetails);
}
