DROP TABLE IF EXISTS `bug_life_cycle_chart`;
CREATE TABLE `bug_life_cycle_chart` (
	`id` VARCHAR(50) NOT NULL COMMENT '主键' ,
	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' ,
	`life_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '生命周期' ,
	`amount` INT(11) NULL DEFAULT '0' COMMENT '数量',
	`project_id` VARCHAR(50) NULL DEFAULT NULL ,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
)
COMMENT='缺陷生命周期'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
;
--CREATE TABLE `bug_life_cycle_chart` (
--	`id` VARCHAR(50) NOT NULL COMMENT '主键' COLLATE 'utf8_general_ci',
--	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`life_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '生命周期' COLLATE 'utf8_general_ci',
--	`amount` INT(11) NULL DEFAULT '0' COMMENT '数量',
--	`project_id` VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
--)
--COMMENT='缺陷生命周期'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--;
