/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.platform.db.entity.CpComponentLibrary;

/**
 * Mybatis数据库持久层（底层）：平台组件库
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-08-29 10:24:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface CpComponentLibraryMapper extends BasicDao<CpComponentLibrary>
{
  String EntityName = "CpComponentLibrary";

  String COLUMN_id = "id";
  String COLUMN_libraryName = "library_name";
  String COLUMN_libraryAlias = "library_alias";
  String COLUMN_fileName = "file_name";
  String COLUMN_filePath = "file_path";
  String COLUMN_libraryStatus = "library_status";
  String COLUMN_libraryIntro = "library_intro";
  String COLUMN_changeLog = "change_log";
  String COLUMN_libraryVersion = "library_version";
  String COLUMN_libraryType = "library_type";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";

}
