package net.northking.cctp.platform.dto.bus;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
public class DictItem implements Serializable {

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 字典条目编码
     */
    private String code;

    /**
     * 字典条目名称
     */
    private String name;

    /**
     * 字典类型ID
     */
    private Long catalogId;

    /**
     * 排序序号
     */
    private Integer innerOrder;

    /**
     * 创建人
     */
    private Long creator;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新人
     */
    private Long updater;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 是否启用 0-禁用 1-启用
     */
    private Integer isEnabled;

    /**
     * 删除状态 0-未删除1-删除
     */
    private Integer isDeleted;
}
